package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclCustomerShare;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AclCustomerShareMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclCustomerShare record);

    int insertSelective(AclCustomerShare record);

    AclCustomerShare selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclCustomerShare record);

    int updateByPrimaryKey(AclCustomerShare record);

    List<AclCustomerShare> findByCustomerIdAndInsurerId(@Param("customerId") Long customerId,@Param("insurerId") long insurerId);
}